Bug 2061527

Summary: [IBMCloud] infrastructure asset missing CloudProviderType
Product: OpenShift Container Platform Reporter: Christopher J Schaefer <cschaefe>
Component: InstallerAssignee: Nobody <nobody>
Installer sub component: openshift-installer QA Contact: MayXu <maxu>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: unspecified CC: anarayan
Version: 4.10   
Target Milestone: ---   
Target Release: 4.11.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Cause: The infra asset was missing the ProviderType field on IBMCloud installations that was used by the cluster Consequence: etcd operator was not picking the right configuration for IBMCloud clusters Fix: Added a field in the infra asset set to IBMCloud. Result: etcd operator seems to pick the right configuration now.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-08-10 10:52:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2062429    

Description Christopher J Schaefer 2022-03-07 18:58:05 UTC
Version:

$ openshift-install version
4.10

Platform:
ibmcloud

Please specify:
IPI

What happened?
During IPI install on IBM Cloud, the "infrastructure/cluster" asset is incomplete, resulting in components that rely on the infrastructure to not work properly

After a successful IPI install, the PlatformStatus does not contain a proper CloudProviderType, as would be expected

platform: IBMCloud
  platformStatus:
    ibmcloud:
      cisInstanceCRN: foo
      location: us-east
      resourceGroupName: foo
    type: IBMCloud

Which should contain a "providerType"
https://github.com/openshift/api/blob/bfe251c51d2db94104064d0ad817e4e388b330bc/config/v1/types_infrastructure.go#L572

Where valid values are
https://github.com/openshift/api/blob/bfe251c51d2db94104064d0ad817e4e388b330bc/config/v1/types_infrastructure.go#L180-L190


What did you expect to happen?
A properly configured "infrastructure/cluster" asset, including a CloudProviderType, to be used by other components/operators for determining configuration, etc. based on IBM Cloud.

How to reproduce it (as minimally and precisely as possible)?
1. Create a new IPI cluster on IBM Cloud
2. Check the "infrastructure/cluster" asset (oc describe infrastructure/cluster)

Anything else we need to know?
IBM Cloud is already testing a fix and will be providing a PR with said fix.


This is likely affecting the configuration for cluster-etcd-operator, based on this missing value
https://github.com/openshift/cluster-etcd-operator/pull/759

Comment 2 MayXu 2022-03-10 16:37:55 UTC
checked on 4.11.0-0.nightly-2022-03-10-094942
$oc describe infrastructure/cluster > i.yaml

add "" in the i.yaml Lin 69 to resolve the following error.
$ oc describe infrastructure/cluster | yq
yq: Error running jq: ScannerError: mapping values are not allowed in this context
  in "<stdin>", line 69, column 144.

$ cat i.yaml | yq '.Status."Platform Status"'
{
  "Ibmcloud": {
    "Cis Instance CRN": "crn:v1:bluemix:public:internet-svcs:global:a/fdc2e14cf8bc4d53a67f972dc2e2c861:e8ee6ca1-4b31-4307-8190-e67f6925f83b::",
    "Location": "eu-gb",
    "Provider Type": "VPC",
    "Resource Group Name": "maxu-1527-6w225"
  },
  "Type": "IBMCloud"
}

Platform Status:
    Ibmcloud:
      Cis Instance CRN:     crn:v1:bluemix:public:internet-svcs:global:a/fdc2e14cf8bc4d53a67f972dc2e2c861:e8ee6ca1-4b31-4307-8190-e67f6925f83b::
      Location:             eu-gb
      Provider Type:        VPC
      Resource Group Name:  maxu-1527-6w225
    Type:                   IBMCloud

Comment 5 errata-xmlrpc 2022-08-10 10:52:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069